package com.njcn.system.service;

import com.njcn.system.pojo.param.DeptConfigParam;
import com.njcn.system.pojo.vo.DeptConfigVO;

import java.util.List;

/**
 * @version 1.0.0
 * @author: chenchao
 * @date: 2022/08/04 10:58
 */
public interface DeptMapService {

    List<DeptConfigVO> getDeptMapConfig();

    DeptConfigVO getDeptMapConfigById(String id);

    DeptConfigVO getConfigByDeptId(String deptId);

    boolean addDeptMapConfig(DeptConfigParam deptConfigParam);

    boolean updateDeptMapConfigById(DeptConfigParam.DeptConfigUpdateParam deptConfigUpdateParam);

    boolean removeDeptMapConfigById(String id);

}
